Description

Long time audacious user. Currently using audacious 3.9beta1 on Fedora 26 / gkt3. Works great.

Since ages ago, I use audacious mainly launching it from nautilus (-scripts), since the library (search-tool) wasn't fitting my use case.

I have a 3K+ all cue+single-flac music collection.

Recently I took a new look at the search tool, and now it is fully capable of scanning my collection and indexing it properly, allowing

me to browse by genre, search albums and so on, it's great.

A few bits though would would make it Awesome, I wanted to list them here

- a way to specify what we are searching: most of the time, I search for albums of a specific Genr

e, and I typically want to see the latest additions to my collection. There is currently no way (t

hat I'm aware of) to slice the DB this way. With the search tool I can create massive per-genre pl

aylists of songs. 

    Hence the suggestion: Add the concept of "Album" Playlists, and allow creating them by right c

licking on a Genre item in the search tool

 

- allow the "Album Playlists" to be ordered by "Date Added" to the DB. When incrementally adding c

ontent to the library, a common need is to explore recent additions.

 

- Album playlists would behave like song playlists, with the only difference being that all song w

ithing the album are played in their pre-defined order and can only be added/removed on a per-albu

m basis. Songs could be hidden under the album title by default.

 

- Random Order in an "Album Playlist" would only affect the order of the albums, but not of the so

ngs within each album, consistent behavior with the above

 

- Use cases: 

      - A common case is to use tags in the album name such as "HD FLAC"; currently in the Search 

tool, when looking for e.g. "HD FLAC" the output is just 20 albums (?); there is no way to create 

a playlist with all the "HD FLAC" albums. Album Playlists would facilitate this, without major twe

aks to the Search Tool. BTW it would be great to extend the limit of just 20 results in the Search

 Tool. E.g. I have hundreds of albums from the Berliner Philarmoniker, and there is no way to list

 them in Audacious, the search tool just displays 20

 

Side note - to browse my collection on a per-album basis like the above via a Web UI and also via an android App, I run Kodi on a

raspberry pi and stream it from a network server. However when I'm at my Linux Desktop, it would be so much nicer if I could use my

favorite music player for this and play straight out of it.
History

#1 - July 30, 2017 19:33 - Ari Ar

P.s. tried to edit the content above to remove a few typos and change the issue Type to "Feature request" but redmine doesn't seem to allow that

#2 - July 30, 2017 19:45 - Ari Ar

Just thought that another way to achieve all Use Cases above, without resorting to "Album Playlists", would be to just add "Filters" to existing playlists,

particularly to the Library Playlist.

E.g.: The Library contains say 40K songs. I add one filter: Year = 2017. Then another filter, Genre = Jazz, then another filter: Title contains "HD

FLAC". Then I sort based on Album (or ideally Date Added) and enqueue the result (or send it to another playlist.

#3 - August 01, 2017 01:57 - John Lindgren

- Tracker changed from Bug to Feature

Sounds pretty close to what the ancient "Search and Select" dialog in the WinAmp interface does.

#4 - August 01, 2017 02:00 - John Lindgren

The newer search/filter feature in the Qt UI will also let you filter based on multiple fields, then Select All and Copy; I don't recall if it searches Genre

though.

#5 - August 01, 2017 06:18 - Ari Ar

Sounds like Filters are coming then - thanks!

In addition to Genre, hoping the filter will also let you match substrings within the Album title and also the Performer field. Matching tags in titles is

popular specially for tags describing the encoding in high def audio albums. Some ppl would encode the Label or other record details.

For classical music, some collections include the composer name in the Performer field. "Bach, JS; Glenn Gould".

In Kodi, to list all my "Bach, JS" records I would use an "advanced playlist" that basically works as a DB query with all the various conditions, same as

discussed here.

Maybe the filter window could ask if you are looking for songs or albums, and if albums, then collapse the songs under each album. Just a fairly

common use case specially when listening to Classical where shuffle is not so much used.

Also hoping that the search filter will also come to the gtk3 UI - it's great and it feels right at home in my linux desktop. Nothing against Qt but most

linux desktops are gtk3 these days. I guess I'm biased b/c I really like it :) - after a few years of doubt I just bought in.

#6 - December 05, 2020 16:37 - John Lindgren

- Status changed from New to Rejected

Closing old feature requests that no one has shown interest in working on for >3 years.
